//
//Written by GowinSynthesis
//Tool Version "V1.9.9.02"
//Thu Apr 25 16:07:36 2024

//Source file index table:
//file0 "\C:/Gowin/Gowin_V1.9.9.02_x64/IDE/ipcore/FIFO_HS/data/fifo_hs.v"
//file1 "\C:/Gowin/Gowin_V1.9.9.02_x64/IDE/ipcore/FIFO_HS/data/fifo_hs_top.v"
`timescale 100 ps/100 ps
`pragma protect begin_protected
`pragma protect version="2.3"
`pragma protect author="default"
`pragma protect author_info="default"
`pragma protect encrypt_agent="GOWIN"
`pragma protect encrypt_agent_info="GOWIN Encrypt Version 2.3"

`pragma protect encoding=(enctype="base64", line_length=76, bytes=256)
`pragma protect key_keyowner="GOWIN",key_keyname="GWK2023-09",key_method="rsa"
`pragma protect key_block
Da6ePPXJ0x1Zkr3+qduAM8J+kvtpawq4mD4KNKBETeC4EH7Szs6BzQt56oavp90RuKDAboLkt4Jg
+G92rwctBdMEwq+eB6c7QPHl/H1uRLQVqlR4yx0r3BOVYQPjoymqLzmZv8veGRBC1kdMpZB80yUK
zmz+xkaf5+Uj2LoGUbWb2pOECph91GIFDeF+RqGJtZTKyt08qFT8oijjiMTL0Xb+qn22EE7E1RFY
OllWGiYHO4QEEG6qgweiS5shJRiL6+3Pxmw7CJNrKZ/zyFyC0a6pFdp6mTM2DN5SkKBIq/YzyLXr
XKL3+73PMXlMajN6EcsM4S1BTp7fXxaHLIWB1w==

`pragma protect encoding=(enctype="base64", line_length=76, bytes=8352)
`pragma protect data_keyowner="default-ip-vendor"
`pragma protect data_keyname="default-ip-key"
`pragma protect data_method="aes128-cfb"
`pragma protect data_block
[encoded data, 11242 characters]
bPVpgkyuhCzoUp+3N37RJ/RWjqbeq6RDzOkIPZox
`pragma protect end_protected
module FifoMax2870 (
  Data,
  Reset,
  WrClk,
  RdClk,
  WrEn,
  RdEn,
  Q,
  Empty,
  Full
)
;
input [31:0] Data;
input Reset;
input WrClk;
input RdClk;
input WrEn;
input RdEn;
output [31:0] Q;
output Empty;
output Full;
wire VCC;
wire GND;
  \~fifo.FifoMax2870  fifo_inst (
    .Reset(Reset),
    .RdClk(RdClk),
    .WrClk(WrClk),
    .WrEn(WrEn),
    .RdEn(RdEn),
    .Data(Data[31:0]),
    .Empty(Empty),
    .Full(Full),
    .Q(Q[31:0])
);
  VCC VCC_cZ (
    .V(VCC)
);
  GND GND_cZ (
    .G(GND)
);
  GSR GSR (
    .GSRI(VCC) 
);
endmodule /* FifoMax2870 */
